#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  KDE Frameworks 5 Based Applications

- Next

  Kdenlive-23.08.5

- Up
- Home

# Ark-23.08.5

## Introduction to Ark

The Ark package is a KF5 archive tool. It is a graphical front end to tar and similar tools.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/23.08.5/src/ark-23.08.5.tar.xz

- Download MD5 sum: f249f98d0e7a0b87f6c3dc3fc48618d4

- Download size: 2.9 MB

- Estimated disk space required: 34 MB

- Estimated build time: 0.3 SBU (using parallelism=4)

### Ark Dependencies

#### Required

KDE Frameworks-5.115.0 and libarchive-3.7.2

#### Recommended

cpio-2.15, p7zip-17.04, UnRar-6.2.12, UnZip-6.0, and Zip-3.0

## Installation of Ark

Install Ark by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: ark
Installed Libraries: libkerfuffle.so
Installed Directories: $KF5_PREFIX/lib/plugins/kerfuffle, $KF5_PREFIX/share/doc/HTML/*/ark, and $KF5_PREFIX/share/kxmlgui5/ark

### Short Descriptions

ark | is a KF5-based Archive Manager

- Prev

  KDE Frameworks 5 Based Applications

- Next

  Kdenlive-23.08.5

- Up
- Home